diff --git a/src/timezone/pgtz.c b/src/timezone/pgtz.c
index 1d37bd9..bdca007 100644
--- a/src/timezone/pgtz.c
+++ b/src/timezone/pgtz.c
@@ -1204,6 +1204,11 @@ identify_system_timezone(void)
 	ereport(WARNING,
 			(errmsg("could not find a match for Windows timezone \"%s\"",
 					tzname)));
+
+	ereport(LOG,
+			(errmsg("could not determine system time zone, defaulting to \"%s\"", "GMT"),
+			 errhint("You can specify the correct timezone in postgresql.conf.")));
+
 	return NULL;
 }
 #endif   /* WIN32 */
